#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ral
version:              0.2.1
visibility:           public
id:                   ral-0.2.1-4N2YRvIvFvx1BEtRMijTMF
key:                  ral-0.2.1-4N2YRvIvFvx1BEtRMijTMF
license:              GPL-2.0-or-later
copyright:            (c) 2019-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/vec
synopsis:             Random access lists
description:
    This package provides ordinary random access list, '\''RAList'\'', and also
    a length indexed variant, '\''RAVec'\''.

    The data structure allows fast cons-operation (like ordinary list) but also fast random access (like non-functional arrays).

    For @lens@ or @optics@ support see [ral-lens](https://hackage.haskell.org/package/ral-lens) and [ral-optics](https://hackage.haskell.org/package/ral-optics) packages respectively.

    === Similar packages

    These packages don'\''t provide length-indexed variants, and their '\''RAList'\'' has
    opaque structure.

    * https://hackage.haskell.org/package/ralist
    * https://hackage.haskell.org/package/random-access-list

category:             Data, Dependent Types, Singletons
abi:                  f2145ba06de931feb615bccedff3df62
exposed:              True
exposed-modules:
    Data.RAList Data.RAList.NonEmpty Data.RAList.Tree Data.RAVec
    Data.RAVec.NonEmpty Data.RAVec.Tree Data.RAVec.Tree.DF

hidden-modules:
    Data.RAList.Internal Data.RAList.NonEmpty.Internal
    Data.RAList.Tree.Internal TrustworthyCompat

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ral-0.2.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ral-0.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ral
hs-libraries:         HSral-0.2.1-4N2YRvIvFvx1BEtRMijTMF
depends:
    QuickCheck-2.14.2-EAx6IUCFVQCE8r065a1ZqB
    adjunctions-4.4.2-EfOU6DuJ2xCIspE9HpYyin base-4.15.1.0
    bin-0.1.3-QH7cMYp0sW7YdGuwUJbAF boring-0.2.1-A8wgoiDmgwXAhCQHRXaSX4
    deepseq-1.4.5.0 distributive-0.6.2.1-HcrY1OT7PPeIGmyDfINZHg
    fin-0.3-4pSxs1CNxCHEtjYexBgay8
    hashable-1.4.2.0-FGfJ6SPjJOQC6UzILfUyUL
    indexed-traversable-0.1.2.1-JwIQVWOpW67GVSWDdLo884
    semigroupoids-5.3.7-Gb90AiXr4tH9j7anAfahgv

haddock-interfaces:   /usr/share/doc/haskell-ral/html/ral.haddock
haddock-html:         /usr/share/doc/haskell-ral/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

